Page MenuHomePhabricator

Port RCStream clients to EventStreams
Closed, ResolvedPublic0 Estimate Story Points

Description

There are many RCStream clients out there! We want to deprecate RCStream, and need to make sure that active users of RCStream are switched over. This ticket should maintain a list of these clients. If needed, we can make sub tickets to track specific work on them. These should all be migrated by July 7th, 2017.

...

General announcements:

Event Timeline

Ottomata created this task.Feb 1 2017, 3:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2017, 3:24 PM
Ottomata updated the task description. (Show Details)Feb 1 2017, 9:50 PM
Ottomata updated the task description. (Show Details)Feb 1 2017, 10:05 PM
Ottomata updated the task description. (Show Details)Feb 1 2017, 10:14 PM
Ottomata updated the task description. (Show Details)
Milimetric moved this task from Incoming to Backlog (Later) on the Analytics board.Feb 2 2017, 5:15 PM
BBlack added a subscriber: BBlack.Feb 6 2017, 5:52 PM

I know a chunk of our rcstream traffic that I've observed in the past came from Google. I'm not sure who/what in Google drives that...

Ottomata updated the task description. (Show Details)Feb 6 2017, 8:28 PM

From Google?! :o

Ottomata updated the task description. (Show Details)Feb 6 2017, 10:29 PM
Ottomata updated the task description. (Show Details)Feb 8 2017, 5:50 PM
Milimetric moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.
Ottomata updated the task description. (Show Details)Mar 21 2017, 1:59 PM
Ottomata updated the task description. (Show Details)Mar 21 2017, 2:15 PM

@Halfak, does Huggle use irc.wikimedia.org, not RCStream?

Ottomata updated the task description. (Show Details)Mar 21 2017, 6:21 PM
Ottomata updated the task description. (Show Details)Mar 21 2017, 6:23 PM
Ottomata updated the task description. (Show Details)Mar 21 2017, 6:27 PM
Krinkle updated the task description. (Show Details)Mar 21 2017, 8:32 PM
Krinkle updated the task description. (Show Details)Mar 21 2017, 9:11 PM
Ottomata updated the task description. (Show Details)Mar 22 2017, 1:17 PM
Ottomata updated the task description. (Show Details)Mar 28 2017, 2:14 PM

Just a reminder that we will be shutting off RCStream after July 7th.

Krinkle updated the task description. (Show Details)Jun 22 2017, 8:27 PM

For Google, that probably comes from a time we provided them a stream of updates using OAI. There were several users of that service which we phased out end of 2013/early 2014 iirc. Users were instructed to use RCStream or consuming the MediaWiki API directly.

Whatever Google uses it for, we most probably should reach out to them. Maybe @Reedy would remember.

Nuria added a comment.Jun 27 2017, 5:35 PM

See @BBlack note
" in https://phabricator.wikimedia.org/T168919 I was looking at RCStream's traffic, it's still in the ballpark of ~2-3 reqs/sec averaged over a day (~200-250K reqs/day), mostly from google exit IPs and amazon instances it looks like"

Aklapper updated the task description. (Show Details)Jul 4 2017, 6:39 AM
Ottomata updated the task description. (Show Details)Jul 10 2017, 2:00 PM
Ottomata updated the task description. (Show Details)Jul 10 2017, 6:05 PM
Ottomata moved this task from Parent Tasks to Done on the Analytics-Kanban board.Jul 10 2017, 6:07 PM
Kenrick95 updated the task description. (Show Details)Jul 11 2017, 12:01 AM
Kenrick95 added a subscriber: Kenrick95.
Kenrick95 updated the task description. (Show Details)Jul 11 2017, 1:57 PM
Nuria closed this task as Resolved.Jul 11 2017, 6:40 PM